apiVersion: v1
kind: Pod
metadata:
  annotations:
    descheduler.alpha.kubernetes.io/request-evict-only: ""
    istio.io/reroute-virtual-interfaces: k6t-eth0
    k8s.ovn.org/pod-networks: '{"default":{"ip_addresses":["10.128.2.79/23","fd02:0:0:5::40d/64"],"mac_address":"0a:58:0a:80:02:4f","gateway_ips":["10.128.2.1","fd02:0:0:5::1"],"routes":[{"dest":"10.128.0.0/14","nextHop":"10.128.2.1"},{"dest":"172.30.0.0/16","nextHop":"10.128.2.1"},{"dest":"169.254.0.5/32","nextHop":"10.128.2.1"},{"dest":"100.64.0.0/16","nextHop":"10.128.2.1"},{"dest":"fd02::/48","nextHop":"fd02:0:0:5::1"},{"dest":"fd03::/112","nextHop":"fd02:0:0:5::1"},{"dest":"fd69::5/128","nextHop":"fd02:0:0:5::1"},{"dest":"fd98::/64","nextHop":"fd02:0:0:5::1"}],"role":"primary"}}'
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.128.2.79",
              "fd02:0:0:5::40d"
          ],
          "mac": "0a:58:0a:80:02:4f",
          "default": true,
          "dns": {}
      }]
    kubectl.kubernetes.io/default-container: compute
    kubevirt.io/domain: rhel9-based-rhcos10-node
    kubevirt.io/migrationTransportUnix: "true"
    kubevirt.io/vm-generation: "1"
    openshift.io/scc: kubevirt-controller
    post.hook.backup.velero.io/command: '["/usr/bin/virt-freezer", "--unfreeze", "--name",
      "rhel9-based-rhcos10-node", "--namespace", "siwang"]'
    post.hook.backup.velero.io/container: compute
    pre.hook.backup.velero.io/command: '["/usr/bin/virt-freezer", "--freeze", "--name",
      "rhel9-based-rhcos10-node", "--namespace", "siwang"]'
    pre.hook.backup.velero.io/container: compute
    seccomp.security.alpha.kubernetes.io/pod: localhost/kubevirt/kubevirt.json
    security.openshift.io/validated-scc-subject-type: user
    traffic.sidecar.istio.io/kubevirtInterfaces: k6t-eth0
    vm.kubevirt.io/flavor: small
    vm.kubevirt.io/os: rhel9
    vm.kubevirt.io/workload: server
  creationTimestamp: "2025-11-14T04:27:37Z"
  generateName: virt-launcher-rhel9-based-rhcos10-node-
  generation: 1
  labels:
    kubevirt.io: virt-launcher
    kubevirt.io/created-by: 7426b7fb-8fde-4608-b6a2-8bbd037ea10b
    kubevirt.io/domain: rhel9-based-rhcos10-node
    kubevirt.io/nodeName: cnv-qe-infra-19.cnvqe2.lab.eng.rdu2.redhat.com
    kubevirt.io/size: small
    network.kubevirt.io/headlessService: headless
    vm.kubevirt.io/name: rhel9-based-rhcos10-node
    vmi.kubevirt.io/id: rhel9-based-rhcos10-node
  name: virt-launcher-rhel9-based-rhcos10-node-j9x7z
  namespace: siwang
  ownerReferences:
  - apiVersion: kubevirt.io/v1
    blockOwnerDeletion: true
    controller: true
    kind: VirtualMachineInstance
    name: rhel9-based-rhcos10-node
    uid: 7426b7fb-8fde-4608-b6a2-8bbd037ea10b
  resourceVersion: "2293096"
  uid: 16b7685e-4126-4e63-bd4c-2cdb7e75ee48
spec:
  affinity:
    nodeAffinity:
      requiredDuringSchedulingIgnoredDuringExecution:
        nodeSelectorTerms:
        - matchExpressions:
          - key: node-labeller.kubevirt.io/obsolete-host-model
            operator: DoesNotExist
  automountServiceAccountToken: false
  containers:
  - command:
    - /usr/bin/virt-launcher-monitor
    - --qemu-timeout
    - 321s
    - --name
    - rhel9-based-rhcos10-node
    - --uid
    - 7426b7fb-8fde-4608-b6a2-8bbd037ea10b
    - --namespace
    - siwang
    - --kubevirt-share-dir
    - /var/run/kubevirt
    - --ephemeral-disk-dir
    - /var/run/kubevirt-ephemeral-disks
    - --container-disk-dir
    - /var/run/kubevirt/container-disks
    - --grace-period-seconds
    - "195"
    - --hook-sidecars
    - "0"
    - --ovmf-path
    - /usr/share/OVMF
    - --disk-memory-limit
    - "2000000000"
    - --run-as-nonroot
    env:
    - name: XDG_CACHE_HOME
      value: /var/run/kubevirt-private
    - name: XDG_CONFIG_HOME
      value: /var/run/kubevirt-private
    - name: XDG_RUNTIME_DIR
      value: /var/run
    - name: POD_NAME
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.name
    image: registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:87c89edb75ee36081aef9318263853b92a0dbb545e2813f620956ee77146e026
    imagePullPolicy: IfNotPresent
    name: compute
    resources:
      limits:
        devices.kubevirt.io/kvm: "1"
        devices.kubevirt.io/tun: "1"
        devices.kubevirt.io/vhost-net: "1"
      requests:
        cpu: 100m
        devices.kubevirt.io/kvm: "1"
        devices.kubevirt.io/tun: "1"
        devices.kubevirt.io/vhost-net: "1"
        ephemeral-storage: 50M
        memory: 2316Mi
    securityContext:
      allowPrivilegeEscalation: false
      capabilities:
        add:
        - NET_BIND_SERVICE
        drop:
        - ALL
      runAsGroup: 107
      runAsNonRoot: true
      runAsUser: 107
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: FallbackToLogsOnError
    volumeDevices:
    - devicePath: /dev/rootdisk
      name: rootdisk
    volumeMounts:
    - mountPath: /var/run/kubevirt-private
      name: private
    - mountPath: /var/run/kubevirt
      name: public
    - mountPath: /var/run/kubevirt-ephemeral-disks
      name: ephemeral-disks
    - mountPath: /var/run/libvirt
      name: libvirt-runtime
    - mountPath: /var/run/kubevirt/sockets
      name: sockets
    - mountPath: /var/run/kubevirt/container-disks
      mountPropagation: HostToContainer
      name: container-disks
    - mountPath: /var/run/kubevirt/hotplug-disks
      mountPropagation: HostToContainer
      name: hotplug-disks
  dnsPolicy: ClusterFirst
  enableServiceLinks: false
  hostname: rhel9-based-rhcos10-node
  imagePullSecrets:
  - name: default-dockercfg-6qqsj
  initContainers:
  - args:
    - --logfile
    - /var/run/kubevirt-private/7426b7fb-8fde-4608-b6a2-8bbd037ea10b/virt-serial0-log
    command:
    - /usr/bin/virt-tail
    env:
    - name: VIRT_LAUNCHER_LOG_VERBOSITY
      value: "2"
    image: registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:87c89edb75ee36081aef9318263853b92a0dbb545e2813f620956ee77146e026
    imagePullPolicy: IfNotPresent
    name: guest-console-log
    resources:
      limits:
        cpu: 15m
        memory: 60M
      requests:
        cpu: 5m
        memory: 35M
    restartPolicy: Always
    securityContext:
      allowPrivilegeEscalation: false
      capabilities:
        drop:
        - ALL
      runAsNonRoot: true
      runAsUser: 107
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /var/run/kubevirt-private
      name: private
      readOnly: true
  nodeName: cnv-qe-infra-19.cnvqe2.lab.eng.rdu2.redhat.com
  nodeSelector:
    kubernetes.io/arch: amd64
    kubevirt.io/schedulable: "true"
    machine-type.node.kubevirt.io/pc-q35-rhel9.6.0: "true"
  preemptionPolicy: PreemptLowerPriority
  priority: 0
  readinessGates:
  - conditionType: kubevirt.io/virtual-machine-unpaused
  restartPolicy: Never
  schedulerName: default-scheduler
  securityContext:
    fsGroup: 107
    runAsGroup: 107
    runAsNonRoot: true
    runAsUser: 107
    seccompProfile:
      localhostProfile: kubevirt/kubevirt.json
      type: Localhost
  serviceAccount: default
  serviceAccountName: default
  terminationGracePeriodSeconds: 210
  tolerations:
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
    tolerationSeconds: 300
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
    tolerationSeconds: 300
  - effect: NoSchedule
    key: node.kubernetes.io/memory-pressure
    operator: Exists
  volumes:
  - emptyDir: {}
    name: private
  - emptyDir: {}
    name: public
  - emptyDir: {}
    name: sockets
  - emptyDir: {}
    name: virt-bin-share-dir
  - emptyDir: {}
    name: libvirt-runtime
  - emptyDir: {}
    name: ephemeral-disks
  - emptyDir: {}
    name: container-disks
  - name: rootdisk
    persistentVolumeClaim:
      claimName: rhel9-based-rhcos10-node
  - emptyDir: {}
    name: hotplug-disks
status:
  conditions:
  - lastProbeTime: "2025-11-14T04:27:37Z"
    lastTransitionTime: "2025-11-14T04:27:37Z"
    message: the virtual machine is not paused
    reason: NotPaused
    status: "True"
    type: kubevirt.io/virtual-machine-unpaused
  - lastProbeTime: null
    lastTransitionTime: "2025-11-14T04:27:45Z"
    observedGeneration: 1
    status: "True"
    type: PodReadyToStartContainers
  - lastProbeTime: null
    lastTransitionTime: "2025-11-14T04:27:45Z"
    observedGeneration: 1
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2025-11-14T04:27:46Z"
    observedGeneration: 1
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2025-11-14T04:27:46Z"
    observedGeneration: 1
    status: "True"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2025-11-14T04:27:37Z"
    observedGeneration: 1
    status: "True"
    type: PodScheduled
  containerStatuses:
  - allocatedResources:
      cpu: 100m
      devices.kubevirt.io/kvm: "1"
      devices.kubevirt.io/tun: "1"
      devices.kubevirt.io/vhost-net: "1"
      ephemeral-storage: 50M
      memory: 2316Mi
    containerID: cri-o://af105d78b27457ffc4956d7a5ff789c7d9661b71727c6127cc6e1c1a0ffd3d8c
    image: registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:87c89edb75ee36081aef9318263853b92a0dbb545e2813f620956ee77146e026
    imageID: registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:5933718e2fa1c67d5a0568b91c6191416d3622542e55aeea9ad72c9d9cfbd1d6
    lastState: {}
    name: compute
    ready: true
    resources:
      limits:
        devices.kubevirt.io/kvm: "1"
        devices.kubevirt.io/tun: "1"
        devices.kubevirt.io/vhost-net: "1"
      requests:
        cpu: 100m
        devices.kubevirt.io/kvm: "1"
        devices.kubevirt.io/tun: "1"
        devices.kubevirt.io/vhost-net: "1"
        ephemeral-storage: 50M
        memory: 2316Mi
    restartCount: 0
    started: true
    state:
      running:
        startedAt: "2025-11-14T04:27:45Z"
    user:
      linux:
        gid: 107
        supplementalGroups:
        - 107
        - 36
        uid: 107
    volumeMounts:
    - mountPath: /var/run/kubevirt-private
      name: private
    - mountPath: /var/run/kubevirt
      name: public
    - mountPath: /var/run/kubevirt-ephemeral-disks
      name: ephemeral-disks
    - mountPath: /var/run/libvirt
      name: libvirt-runtime
    - mountPath: /var/run/kubevirt/sockets
      name: sockets
    - mountPath: /var/run/kubevirt/container-disks
      name: container-disks
    - mountPath: /var/run/kubevirt/hotplug-disks
      name: hotplug-disks
  hostIP: 10.1.156.19
  hostIPs:
  - ip: 10.1.156.19
  - ip: 2620:52:0:19c:e643:4bff:feec:7670
  initContainerStatuses:
  - allocatedResources:
      cpu: 5m
      memory: 35M
    containerID: cri-o://96a4a9b0e881e08b60a1628dce68a93f720e2dc51db98708af976facae2dcf3b
    image: registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:87c89edb75ee36081aef9318263853b92a0dbb545e2813f620956ee77146e026
    imageID: registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:5933718e2fa1c67d5a0568b91c6191416d3622542e55aeea9ad72c9d9cfbd1d6
    lastState: {}
    name: guest-console-log
    ready: true
    resources:
      limits:
        cpu: 15m
        memory: 60M
      requests:
        cpu: 5m
        memory: 35M
    restartCount: 0
    started: true
    state:
      running:
        startedAt: "2025-11-14T04:27:44Z"
    user:
      linux:
        gid: 107
        supplementalGroups:
        - 107
        - 36
        uid: 107
    volumeMounts:
    - mountPath: /var/run/kubevirt-private
      name: private
      readOnly: true
      recursiveReadOnly: Disabled
  observedGeneration: 1
  phase: Running
  podIP: 10.128.2.79
  podIPs:
  - ip: 10.128.2.79
  - ip: fd02:0:0:5::40d
  qosClass: Burstable
  startTime: "2025-11-14T04:27:37Z"
